Bug 600347 - rhnpush from SW10 can not push to Sat530
rhnpush from SW10 can not push to Sat530
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
540
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Šimon Lukašík
:
Depends On:
Blocks: sat540-blockers 519874 sat540-rhel6 648403 649259
  Show dependency treegraph
 
Reported: 2010-06-04 10:04 EDT by Jan Hutař
Modified: 2010-11-03 07:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhnpush-5.5.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 648403 649259 (view as bug list)
Environment:
Last Closed: 2010-10-28 10:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2010-06-04 10:04:07 EDT
Description of problem:
rhnpush utility from SW1.0 can not push to Satellite 5.3.0. I'm getting:

# rhnpush -vvv --channel=jhutar1 --username=admin --password=admin --server=https://rhndev4.s390.bos.redhat.com/APP /mnt/redhat/released/RHEL-5-Server/U5/i386/os/Server/module-init-tools-3.3-0.pre3.1.60.el5.i386.rpm 
Connecting to https://rhndev4.s390.bos.redhat.com/APP
url is https://rhndev4.s390.bos.redhat.com/PACKAGE-PUSH
Result codes: 200 OK
Computing checksum and package Info .This may take sometime ...
While running 'packages.getPackageChecksumBySession': caught
server.apacheRequest.UnknownXML : Invalid request received (function: packages.getPackageChecksumBySession invalid).


Version-Release number of selected component (if applicable):
Server: Satellite 5.3.0 (+ erratas)
Client: redhat-release-server-5.90Server-6.0.0.28.el6.i686
        rhnpush-5.4.13.1-1.fc12.noarch


How reproducible:
always


Steps to Reproduce:
1. client # rhnpush -vvv --channel=jhutar1 --username=admin --password=admin --server=https://rhndev4.s390.bos.redhat.com/APP /mnt/redhat/released/RHEL-5-Server/U5/i386/os/Server/module-init-tools-3.3-0.pre3.1.60.el5.i386.rpm
2. server # 


Actual results:
Push fails and this is on server side in /var/log/httpd/error_log:
[...]
Exception reported from rhndev4.s390.bos.redhat.com
Time: Fri Jun  4 10:01:30 2010
Exception type server.apacheRequest.UnknownXML
Exception while handling function packages.getPackageChecksumBySession
Request object information:
URI: /APP
Remote Host: dell-pe6950-01.rhts.eng.bos.redhat.com
Server Name: rhndev4.s390.bos.redhat.com:443
Headers passed in:
        Accept-Encoding: identity
        Content-Length: 396
        Host: rhndev4.s390.bos.redhat.com
        content-encoding: x-gzip
        content-transfer-encoding: binary
        content-type: application/binary
        user-agent: rhn.rpclib.py/$Revision$
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version $Revision$)
        x-rhn-transport-capability: follow-redirects=3
        x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)
Extra information about this error:
Response sent back to the caller:
While running 'packages.getPackageChecksumBySession': caught
server.apacheRequest.UnknownXML : Invalid request received (function: packages.getPackageChecksumBySession invali
d).



Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 118, in call_function
    func = self.method_ref(method)
  File "/usr/share/rhn/server/apacheRequest.py", line 439, in method_ref
    raise UnknownXML("function: %s invalid" % (method,))
UnknownXML: Invalid request received (function: packages.getPackageChecksumBySession invalid).


Expected results:
Should work.
Comment 1 Jan Pazdziora 2010-06-04 16:30:48 EDT
Jan, Spacewalk 1.0 has already been released, so there is no point blocking space10. Changing to space11 now.
Comment 4 Michael Mráka 2010-09-16 05:55:09 EDT
Fixed in upstream spacewalk git by
commit e8536c9726ee10f0bfccb478e106006e0bd2ea8a
    600347 - added sat<540 compatibility functions
commit 87432d2dca2b7df5292237426fe3e604a17d3bc6
    600347 - use getPackageChecksumBySession() only for servers which support it
Comment 5 Michael Mráka 2010-09-16 06:08:47 EDT
Cherrypicked to satellite git as

commit d4416c9f100e4f48b5fad57f1506c3f3a1c0f179
    600347 - added sat<540 compatibility functions
    (cherry picked from commit e8536c9726ee10f0bfccb478e106006e0bd2ea8a)
commit 4da61684c3ca7244233c967321e15163cf36521e
    600347 - use getPackageChecksumBySession() only for servers which support it
    (cherry picked from commit 87432d2dca2b7df5292237426fe3e604a17d3bc6)
Comment 9 Šimon Lukašík 2010-10-05 03:46:54 EDT
QA: Changing to VERIFIED:

Verified against:
Satellite-5.4.0-RHEL5-re20101001.1
Comment 10 Tomas Lestach 2010-10-25 11:49:21 EDT
rhnpush-5.5.4-2.el5sat:
                sat530 sat540
md5 package       +       +
sha256 package    -       +

rhnpush-5.3.1-5.el5sat
md5 package       +       +
sha256 package    +       -

STAGE VALIDATED on Satellite-5.4.0-RHEL5-re20101015.0
Comment 11 Clifford Perry 2010-10-28 10:52:03 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.